Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Interface Channel

All Known Implementing Classes:
  AbstractChannel, DeadLetterChannel, DelegatedChannel, HttpSoapChannel, LocalChannel, XMPPChannel

    public interface Channel

A channel for communication. This can be a channel on an underlying transport - like HTTP - or wrap another channel and provide additional functions - like reliable messaging.

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `BACKCHANNEL_URI` The URI which represents that a message should be sent over a back channel, i.e.

Method Summary
`void` | `close()`
`ChannelEndpoint` | `getEndpoint()`
`Transport` | `getTransport()`
`java.lang.String` | `getUri()`
`void` | `open()`
`void` | `receive(MessageContext context, InMessage message)`
`void` | `send(MessageContext context, OutMessage message)` Sends a message.
`void` | `setEndpoint(ChannelEndpoint receiver)`

Field Detail

### BACKCHANNEL_URI

    static final java.lang.String BACKCHANNEL_URI

  The URI which represents that a message should be sent over a back channel, i.e. an HttpServletResponse, instead of opening a new connection.

  See Also:
    Constant Field Values

Method Detail

### open

    void open()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### send

    void send(MessageContext context,
              OutMessage message)
              throws XFireException

  Sends a message.

  Parameters:
    `context` -
    `message` -
  Throws:
    `XFireException` - Occurs if there was an error an error sending the message.

### receive

    void receive(MessageContext context,
                 InMessage message)

### setEndpoint

    void setEndpoint(ChannelEndpoint receiver)

### getEndpoint

    ChannelEndpoint getEndpoint()

### close

    void close()

### getTransport

    Transport getTransport()

### getUri

    java.lang.String getUri()

  Returns:
    The URI which represents this Channel's endpoint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.